<?xml version="1.0" encoding="UTF-8"?>
<wsdl:definitions name="ServiciosWebAnotacionesRCP" targetNamespace="http://rcp/ServiciosWebAnotacionesRCP/" xmlns:estadoDoc="http://rcp/ServiciosWebAnotacionesRCP/EstadoDocumento" xmlns:estadoAno="http://rcp/ServiciosWebAnotacionesRCP/EstadoAnotacion" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:estadoDocRes="http://rcp/ServiciosWebAnotacionesRCP/EstadoDocumento/Respuesta" xmlns:error="http://rcp/ServiciosWebAnotacionesRCP/Error/Respuesta" xmlns:retiradaDoc="http://rcp/ServiciosWebAnotacionesRCP/RetiradaDocumento" xmlns:envDocDESER="http://rcp/ServiciosWebAnotacionesRCP/EnvioDocumentoDESER" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:envioAnotaRes="http://rcp/ServiciosWebAnotacionesRCP/EnvioAnotacion/Respuesta" xmlns:envDoc="http://rcp/ServiciosWebAnotacionesRCP/EnvioDocumento" xmlns:envioAnota="http://rcp/ServiciosWebAnotacionesRCP/EnvioAnotacion" xmlns:estserv="http://rcpservicios.redsara.es/estadoServicio" xmlns:tns="http://rcp/ServiciosWebAnotacionesRCP/" xmlns:estadoAnoRes="http://rcp/ServiciosWebAnotacionesRCP/EstadoAnotacion/Respuesta" xmlns:retiraAnota="http://rcp/ServiciosWebAnotacionesRCP/RetiradaAnotacion" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/">
  <wsdl:types>
    <xsd:schema elementFormDefault="qualified">
			<xsd:import namespace="http://rcp/ServiciosWebAnotacionesRCP/EstadoAnotacion" schemaLocation="ServiciosWebAnotacionesRCP?xsd=estadoAnotacion.xsd"/>
		</xsd:schema>
    <xsd:schema elementFormDefault="qualified">
			<xsd:import namespace="http://rcp/ServiciosWebAnotacionesRCP/EstadoDocumento" schemaLocation="ServiciosWebAnotacionesRCP?xsd=estadoDocumento.xsd"/>
		</xsd:schema>
    <xsd:schema elementFormDefault="qualified">
			<xsd:import namespace="http://rcp/ServiciosWebAnotacionesRCP/EstadoDocumento/Respuesta" schemaLocation="ServiciosWebAnotacionesRCP?xsd=estadoDocumentoResponse.xsd"/>
		</xsd:schema>
    <xsd:schema elementFormDefault="qualified">
			<xsd:import namespace="http://rcp/ServiciosWebAnotacionesRCP/RetiradaDocumento" schemaLocation="ServiciosWebAnotacionesRCP?xsd=retiradaDocumento.xsd"/>
		</xsd:schema>
    <xsd:schema elementFormDefault="qualified">
			<xsd:import namespace="http://rcp/ServiciosWebAnotacionesRCP/EstadoAnotacion/Respuesta" schemaLocation="ServiciosWebAnotacionesRCP?xsd=estadoAnotacionResponse.xsd"/>
		</xsd:schema>
    <xsd:schema elementFormDefault="qualified">
			<xsd:import namespace="http://rcp/ServiciosWebAnotacionesRCP/RetiradaAnotacion" schemaLocation="ServiciosWebAnotacionesRCP?xsd=retiradaAnotacion.xsd"/>
		</xsd:schema>
    <xsd:schema elementFormDefault="qualified">
			<xsd:import namespace="http://rcp/ServiciosWebAnotacionesRCP/EnvioAnotacion" schemaLocation="ServiciosWebAnotacionesRCP?xsd=EnvioAnotacion.xsd"/>
		</xsd:schema>
    <xsd:schema elementFormDefault="qualified">
			<xsd:import namespace="http://rcp/ServiciosWebAnotacionesRCP/EnvioAnotacion/Respuesta" schemaLocation="ServiciosWebAnotacionesRCP?xsd=EnvioAnotacionResponse.xsd"/>
		</xsd:schema>
    <xsd:schema elementFormDefault="qualified">
			<xsd:import namespace="http://rcp/ServiciosWebAnotacionesRCP/Error/Respuesta" schemaLocation="ServiciosWebAnotacionesRCP?xsd=ErrorResponse.xsd"/>
		</xsd:schema>
    <xsd:schema elementFormDefault="qualified">
			<xsd:import namespace="http://rcp/ServiciosWebAnotacionesRCP/EnvioDocumento" schemaLocation="ServiciosWebAnotacionesRCP?xsd=EnvioDocumento.xsd"/>
		</xsd:schema>
    <xsd:schema elementFormDefault="qualified">
			<xsd:import namespace="http://rcp/ServiciosWebAnotacionesRCP/EnvioDocumentoDESER" schemaLocation="ServiciosWebAnotacionesRCP?xsd=EnvioDocumentoDESER.xsd"/>
		</xsd:schema>
    <xsd:schema elementFormDefault="qualified">
			<xsd:import namespace="http://rcpservicios.redsara.es/estadoServicio" schemaLocation="ServiciosWebAnotacionesRCP?xsd=comprobacionEstadoServicio.xsd"/>
		</xsd:schema>
  </wsdl:types>
  <wsdl:message name="EstadoServicioRespuesta">
    <wsdl:part name="peticion" element="estserv:estadoServicioRespuesta">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="RetiradaAnotacionResponse">
    <wsdl:part name="respuesta" element="retiraAnota:datosRetiradaRes">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="EnvioAnotacionRequest">
    <wsdl:part name="peticion" element="envioAnota:peticionAnota">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="EstadoAnotacionRequest">
    <wsdl:part name="peticion" element="estadoAno:datosEstadopet">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="EnvioDocumentoResponse">
    <wsdl:part name="respuesta" element="envDoc:respuestaEnvDoc">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="EnvioDocumentoDESERRequest">
    <wsdl:part name="peticion" element="envDocDESER:peticionEnvDocDESER">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="RetiradaAnotacionRequest">
    <wsdl:part name="peticion" element="retiraAnota:datosRetiradaPet">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="EnvioDocumentoRequest">
    <wsdl:part name="peticion" element="envDoc:peticionEnvDoc">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="EstadoAnotacionResponse">
    <wsdl:part name="respuesta" element="estadoAnoRes:datosEstadoRes">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="ErrorServicioRespuesta">
    <wsdl:part name="errorServicio" element="estserv:errorServicio">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="EstadoServicioPeticion">
    <wsdl:part name="peticion" element="estserv:estadoServicioPeticion">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="EstadoDocumentoRequest">
    <wsdl:part name="peticion" element="estadoDoc:datosEstadoDocpet">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="EnvioAnotacionResponse">
    <wsdl:part name="respuesta" element="envioAnotaRes:respuestaEnvio">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="EnvioDocumentoDESERResponse">
    <wsdl:part name="respuesta" element="envDocDESER:respuestaEnvDocDESER">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="RetiradaDocumentoRequest">
    <wsdl:part name="peticion" element="retiradaDoc:datosRetiradaDocPet">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="RetiradaDocumentoResponse">
    <wsdl:part name="respuesta" element="retiradaDoc:datosRetiradaDocRes">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="ErrorExceptionResp">
    <wsdl:part name="fault" element="error:inforError">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="EstadoDocumentoResponse">
    <wsdl:part name="respuesta" element="estadoDocRes:datosEstadoDocRes">
    </wsdl:part>
  </wsdl:message>
  <wsdl:portType name="ServiciosWebAnotacionesRCP">
    <wsdl:operation name="EnvioAnotacion">
      <wsdl:input message="tns:EnvioAnotacionRequest">
    </wsdl:input>
      <wsdl:output message="tns:EnvioAnotacionResponse">
    </wsdl:output>
      <wsdl:fault name="errorExceptionResp" message="tns:ErrorExceptionResp">
    </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="EnvioDocumento">
      <wsdl:input message="tns:EnvioDocumentoRequest">
    </wsdl:input>
      <wsdl:output message="tns:EnvioDocumentoResponse">
    </wsdl:output>
      <wsdl:fault name="errorExceptionResp" message="tns:ErrorExceptionResp">
    </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="EnvioDocumentoDESER">
      <wsdl:input message="tns:EnvioDocumentoDESERRequest">
    </wsdl:input>
      <wsdl:output message="tns:EnvioDocumentoDESERResponse">
    </wsdl:output>
      <wsdl:fault name="errorExceptionResp" message="tns:ErrorExceptionResp">
    </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="RetiradaDocumento">
      <wsdl:input message="tns:RetiradaDocumentoRequest">
    </wsdl:input>
      <wsdl:output message="tns:RetiradaDocumentoResponse">
    </wsdl:output>
      <wsdl:fault name="errorExceptionResp" message="tns:ErrorExceptionResp">
    </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="EstadoDocumento">
      <wsdl:input message="tns:EstadoDocumentoRequest">
    </wsdl:input>
      <wsdl:output message="tns:EstadoDocumentoResponse">
    </wsdl:output>
      <wsdl:fault name="errorExceptionResp" message="tns:ErrorExceptionResp">
    </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="RetiradaAnotacion">
      <wsdl:input message="tns:RetiradaAnotacionRequest">
    </wsdl:input>
      <wsdl:output message="tns:RetiradaAnotacionResponse">
    </wsdl:output>
      <wsdl:fault name="errorExceptionResp" message="tns:ErrorExceptionResp">
    </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="EstadoAnotacion">
      <wsdl:input message="tns:EstadoAnotacionRequest">
    </wsdl:input>
      <wsdl:output message="tns:EstadoAnotacionResponse">
    </wsdl:output>
      <wsdl:fault name="errorExceptionResp" message="tns:ErrorExceptionResp">
    </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="EstadoServicio">
      <wsdl:input message="tns:EstadoServicioPeticion">
    </wsdl:input>
      <wsdl:output message="tns:EstadoServicioRespuesta">
    </wsdl:output>
      <wsdl:fault name="errorServicio" message="tns:ErrorServicioRespuesta">
    </wsdl:fault>
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="ServiciosWebAnotacionesRCPSOAP" type="tns:ServiciosWebAnotacionesRCP">
    <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="EnvioAnotacion">
      <soap:operation soapAction="http://rcp/ServiciosWebAnotacionesRCP/EnvioAnotacion"/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="errorExceptionResp">
        <soap:fault name="errorExceptionResp" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="EnvioDocumento">
      <soap:operation soapAction="http://rcp/ServiciosWebAnotacionesRCP/EnvioDocumento"/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="errorExceptionResp">
        <soap:fault name="errorExceptionResp" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="EnvioDocumentoDESER">
      <soap:operation soapAction="http://rcp/ServiciosWebAnotacionesRCP/EnvioDocumentoDESER"/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="errorExceptionResp">
        <soap:fault name="errorExceptionResp" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="RetiradaDocumento">
      <soap:operation soapAction="http://rcp/ServiciosWebAnotacionesRCP/RetiradaDocumento"/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="errorExceptionResp">
        <soap:fault name="errorExceptionResp" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="EstadoDocumento">
      <soap:operation soapAction="http://rcp/ServiciosWebAnotacionesRCP/EstadoDocumento"/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="errorExceptionResp">
        <soap:fault name="errorExceptionResp" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="RetiradaAnotacion">
      <soap:operation soapAction="http://rcp/ServiciosWebAnotacionesRCP/RetiradaAnotacion"/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="errorExceptionResp">
        <soap:fault name="errorExceptionResp" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="EstadoAnotacion">
      <soap:operation soapAction="http://rcp/ServiciosWebAnotacionesRCP/EstadoAnotacion"/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="errorExceptionResp">
        <soap:fault name="errorExceptionResp" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="EstadoServicio">
      <soap:operation soapAction="http://rcpservicios.redsara.es/wsservicioswebcecir/estadoServicio"/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="errorServicio">
        <soap:fault name="errorServicio" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="ServiciosWebAnotacionesRCP">
    <wsdl:port name="ServiciosWebAnotacionesRCP" binding="tns:ServiciosWebAnotacionesRCPSOAP">
      <soap:address location="http://pre-serviciosrcp.redsara.es/ServiciosWebAnotacionesRCP/services/ServiciosWebAnotacionesRCP/"/>
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>
